VOP_BWRITE(9)

NAME
VOP_BWRITE - write a filesystem buffer

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/buf.h>
int
VOP_BWRITE(struct buf *bp);

DESCRIPTION

The arguments are:

bp  the buffer to be written

Most filesystems use the default implementation of this, vn_bwrite().

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.